<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AndroidLayouts">
    <shared>
      <config />
    </shared>
    <layouts>
      <layout url="file://$PROJECT_DIR$/app/src/main/res/layout/activity_change_lacation.xml">
        <config>
          <theme>@style/Theme.HT_MAST</theme>
        </config>
      </layout>
      <layout url="file://$PROJECT_DIR$/app/src/main/res/layout/activity_inbound_detail.xml">
        <config>
          <theme>@style/Theme.HT_MAST</theme>
        </config>
      </layout>
      <layout url="file://$PROJECT_DIR$/app/src/main/res/layout/activity_inbound_menu.xml">
        <config>
          <theme>@style/Theme.HT_MAST</theme>
        </config>
      </layout>
      <layout url="file://$PROJECT_DIR$/app/src/main/res/layout/activity_inbound_menu_dpp.xml">
        <config>
          <theme>@style/Theme.HT_MAST</theme>
        </config>
      </layout>
      <layout url="file://$PROJECT_DIR$/app/src/main/res/layout/activity_inventory_menu.xml">
        <config>
          <theme>@style/Theme.HT_MAST</theme>
        </config>
      </layout>
      <layout url="file://$PROJECT_DIR$/app/src/main/res/layout/activity_label_detail.xml">
        <config>
          <theme>@style/Theme.HT_MAST</theme>
        </config>
      </layout>
      <layout url="file://$PROJECT_DIR$/app/src/main/res/layout/activity_label_manual_menu.xml">
        <config>
          <theme>@style/Theme.HT_MAST</theme>
        </config>
      </layout>
      <layout url="file://$PROJECT_DIR$/app/src/main/res/layout/activity_login.xml">
        <config>
          <theme>@style/Theme.HT_MAST</theme>
        </config>
      </layout>
      <layout url="file://$PROJECT_DIR$/app/src/main/res/layout/activity_main.xml">
        <config>
          <theme>@style/Theme.HT_MAST</theme>
        </config>
      </layout>
      <layout url="file://$PROJECT_DIR$/app/src/main/res/layout/activity_ng_manual.xml">
        <config>
          <theme>@style/Theme.HT_MAST</theme>
        </config>
      </layout>
      <layout url="file://$PROJECT_DIR$/app/src/main/res/layout/activity_outbound_detail.xml">
        <config>
          <theme>@style/Theme.HT_MAST</theme>
        </config>
      </layout>
      <layout url="file://$PROJECT_DIR$/app/src/main/res/layout/activity_outbount_menu.xml">
        <config>
          <theme>@style/Theme.HT_MAST</theme>
        </config>
      </layout>
      <layout url="file://$PROJECT_DIR$/app/src/main/res/layout/activity_outbout_manual_recheck.xml">
        <config>
          <theme>@style/Theme.HT_MAST</theme>
        </config>
      </layout>
      <layout url="file://$PROJECT_DIR$/app/src/main/res/layout/activity_photomatching.xml">
        <config>
          <theme>@style/Theme.HT_MAST</theme>
        </config>
      </layout>
      <layout url="file://$PROJECT_DIR$/app/src/main/res/layout/activity_qccheck.xml">
        <config>
          <theme>@style/Theme.HT_MAST</theme>
        </config>
      </layout>
      <layout url="file://$PROJECT_DIR$/app/src/main/res/layout/activity_re_print_label.xml">
        <config>
          <theme>@style/Theme.HT_MAST</theme>
        </config>
      </layout>
      <layout url="file://$PROJECT_DIR$/app/src/main/res/layout/activity_schedule_inbound.xml">
        <config>
          <theme>@style/Theme.HT_MAST</theme>
        </config>
      </layout>
      <layout url="file://$PROJECT_DIR$/app/src/main/res/layout/activity_schedule_label.xml">
        <config>
          <theme>@style/Theme.HT_MAST</theme>
        </config>
      </layout>
      <layout url="file://$PROJECT_DIR$/app/src/main/res/layout/activity_schedule_outbound.xml">
        <config>
          <theme>@style/Theme.HT_MAST</theme>
        </config>
      </layout>
      <layout url="file://$PROJECT_DIR$/app/src/main/res/layout/activity_stock_check.xml">
        <config>
          <theme>@style/Theme.HT_MAST</theme>
        </config>
      </layout>
      <layout url="file://$PROJECT_DIR$/app/src/main/res/layout/activity_stock_menu.xml">
        <config>
          <theme>@style/Theme.HT_MAST</theme>
        </config>
      </layout>
      <layout url="file://$PROJECT_DIR$/app/src/main/res/layout/activity_stocktaking_label.xml">
        <config>
          <theme>@style/Theme.HT_MAST</theme>
        </config>
      </layout>
      <layout url="file://$PROJECT_DIR$/app/src/main/res/layout/activity_tranfer_in_process.xml">
        <config>
          <theme>@style/Theme.HT_MAST</theme>
        </config>
      </layout>
      <layout url="file://$PROJECT_DIR$/app/src/main/res/layout/content_label.xml">
        <config>
          <theme>@style/Theme.HT_MAST</theme>
        </config>
      </layout>
      <layout url="file://$PROJECT_DIR$/app/src/main/res/layout/content_ng_manual.xml">
        <config>
          <theme>@style/Theme.HT_MAST</theme>
        </config>
      </layout>
      <layout url="file://$PROJECT_DIR$/app/src/main/res/layout/content_out_label.xml">
        <config>
          <theme>@style/Theme.HT_MAST</theme>
        </config>
      </layout>
      <layout url="file://$PROJECT_DIR$/app/src/main/res/layout/content_qc_schedule.xml">
        <config>
          <theme>@style/Theme.HT_MAST</theme>
        </config>
      </layout>
      <layout url="file://$PROJECT_DIR$/app/src/main/res/layout/content_schedule.xml">
        <config>
          <theme>@style/Theme.HT_MAST</theme>
        </config>
      </layout>
      <layout url="file://$PROJECT_DIR$/app/src/main/res/layout/content_schedule_out.xml">
        <config>
          <theme>@style/Theme.HT_MAST</theme>
        </config>
      </layout>
      <layout url="file://$PROJECT_DIR$/app/src/main/res/layout/content_sh_out_label.xml">
        <config>
          <theme>@style/Theme.HT_MAST</theme>
        </config>
      </layout>
      <layout url="file://$PROJECT_DIR$/app/src/main/res/layout/content_stock_check.xml">
        <config>
          <theme>@style/Theme.HT_MAST</theme>
        </config>
      </layout>
      <layout url="file://$PROJECT_DIR$/app/src/main/res/layout/content_stocktaking_label.xml">
        <config>
          <theme>@style/Theme.HT_MAST</theme>
        </config>
      </layout>
      <layout url="file://$PROJECT_DIR$/app/src/main/res/layout/content_tranfer_in_process.xml">
        <config>
          <theme>@style/Theme.HT_MAST</theme>
        </config>
      </layout>
      <layout url="file://$PROJECT_DIR$/app/src/main/res/layout/dialog_searchable_spinner.xml">
        <config>
          <theme>@style/Theme.HT_MAST</theme>
        </config>
      </layout>
      <layout url="file://$PROJECT_DIR$/app/src/main/res/layout/spinner_list.xml">
        <config>
          <theme>@style/Theme.HT_MAST</theme>
        </config>
      </layout>
    </layouts>
  </component>
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="NONE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="7f83fdb9-1ad1-4ee8-a7ec-19614eae52c4" name="Changes" comment="" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ClangdSettings">
    <option name="formatViaClangd" value="false" />
  </component>
  <component name="ExecutionTargetManager" SELECTED_TARGET="device_and_snapshot_combo_box_target[DeviceId(pluginId=PhysicalDevice, isTemplate=false, identifier=serial=a0609a76)]" />
  <component name="ExternalProjectsData">
    <projectState path="$PROJECT_DIR$">
      <ProjectState />
    </projectState>
  </component>
  <component name="ExternalProjectsManager">
    <system id="GRADLE">
      <state>
        <task path="$PROJECT_DIR$/app">
          <activation />
        </task>
        <projects_view>
          <tree_state>
            <expand>
              <path>
                <item name="" type="6a2764b6:ExternalProjectsStructure$RootNode" />
                <item name="HT-MAST" type="f1a62948:ProjectNode" />
              </path>
              <path>
                <item name="" type="6a2764b6:ExternalProjectsStructure$RootNode" />
                <item name="HT-MAST" type="f1a62948:ProjectNode" />
                <item name="app" type="2d1252cf:ModuleNode" />
              </path>
              <path>
                <item name="" type="6a2764b6:ExternalProjectsStructure$RootNode" />
                <item name="HT-MAST" type="f1a62948:ProjectNode" />
                <item name="app" type="2d1252cf:ModuleNode" />
                <item name="Tasks" type="e4a08cd1:TasksNode" />
              </path>
              <path>
                <item name="" type="6a2764b6:ExternalProjectsStructure$RootNode" />
                <item name="HT-MAST" type="f1a62948:ProjectNode" />
                <item name="app" type="2d1252cf:ModuleNode" />
                <item name="Tasks" type="e4a08cd1:TasksNode" />
                <item name="other" type="c8890929:TasksNode$1" />
              </path>
            </expand>
            <select />
          </tree_state>
        </projects_view>
      </state>
    </system>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="layoutResourceFile" />
        <option value="Interface" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="GenerateSignedApkSettings">
    <option name="KEY_STORE_PATH" value="D:\ANI\key.jks" />
    <option name="KEY_ALIAS" value="key0" />
    <option name="REMEMBER_PASSWORDS" value="true" />
    <option name="BUILD_TARGET_KEY" value="apk" />
  </component>
  <component name="HighlightingSettingsPerFile">
    <setting file="file://$USER_HOME$/AppData/Local/Google/AndroidStudio2023.3/device-explorer/KEYENCE CORPORATION BTA500/_/data/data/com.tomas.ht_mast/files/MngInfo.csv" root0="SKIP_INSPECTION" />
    <setting file="file://$USER_HOME$/AppData/Local/Google/AndroidStudio2023.3/device-explorer/KEYENCE CORPORATION BTA500/_/data/data/com.tomas.ht_mast/files/Settings.csv" root0="SKIP_INSPECTION" />
    <setting file="file://$USER_HOME$/AppData/Local/Google/AndroidStudio2023.3/device-explorer/KEYENCE CORPORATION BTA500/_/data/data/com.tomas.ht_mast/files/UserInfo.csv" root0="SKIP_INSPECTION" />
    <setting file="file://$USER_HOME$/AppData/Local/Google/AndroidStudio2023.3/device-explorer/KEYENCE CORPORATION BTA500/_/data/data/com.tomas.ht_nset/files/MngInfo.csv" root0="SKIP_INSPECTION" />
    <setting file="file://$USER_HOME$/AppData/Local/Google/AndroidStudio2023.3/device-explorer/KEYENCE CORPORATION BTA500/_/data/data/com.tomas.ht_nset/files/Settings.csv" root0="SKIP_INSPECTION" />
    <setting file="file://$USER_HOME$/AppData/Local/Google/AndroidStudio2023.3/device-explorer/KEYENCE CORPORATION BTA500/_/data/data/com.tomas.ht_nset/files/UserInfo.csv" root0="SKIP_INSPECTION" />
    <setting file="file://$USER_HOME$/AppData/Local/Google/AndroidStudio2023.3/device-explorer/KEYENCE CORPORATION BTA500/_/data/data/com.tomastc.anickd/files/Settings.csv" root0="SKIP_INSPECTION" />
  </component>
  <component name="ProblemsViewState">
    <option name="selectedTabId" value="CurrentFile" />
  </component>
  <component name="ProjectColorInfo">{
  &quot;associatedIndex&quot;: 3
}</component>
  <component name="ProjectId" id="2qSpTUsmn4p1980O4Q0pIcfYRL4" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent"><![CDATA[{
  "keyToString": {
    "Android App.app.executor": "Run",
    "ApkExportedModule": "HT-MAST.app",
    "ExportApk.ApkPathForHT-MAST.app": "D:\\MAST\\version1.3.15\\HT-MAST\\app",
    "RunOnceActivity.OpenProjectViewOnStart": "true",
    "RunOnceActivity.ShowReadmeOnStart": "true",
    "RunOnceActivity.cidr.known.project.marker": "true",
    "RunOnceActivity.readMode.enableVisualFormatting": "true",
    "cf.first.check.clang-format": "false",
    "cidr.known.project.marker": "true",
    "kotlin-language-version-configured": "true",
    "last_opened_file_path": "D:/ANI/key.jks"
  },
  "keyToStringList": {
    "ExportApk.BuildVariants": [
      "debug"
    ]
  }
}]]></component>
  <component name="RecentsManager">
    <key name="MoveClassesOrPackagesDialog.RECENTS_KEY">
      <recent name="com.tomas.ht_mast" />
    </key>
  </component>
  <component name="RunManager">
    <configuration name="app" type="AndroidRunConfigurationType" factoryName="Android App">
      <module name="HT-MAST.app.main" />
      <option name="DEPLOY" value="true" />
      <option name="DEPLOY_APK_FROM_BUNDLE" value="false" />
      <option name="DEPLOY_AS_INSTANT" value="false" />
      <option name="ARTIFACT_NAME" value="" />
      <option name="PM_INSTALL_OPTIONS" value="" />
      <option name="ALL_USERS" value="false" />
      <option name="ALWAYS_INSTALL_WITH_PM" value="false" />
      <option name="CLEAR_APP_STORAGE" value="false" />
      <option name="DYNAMIC_FEATURES_DISABLED_LIST" value="" />
      <option name="ACTIVITY_EXTRA_FLAGS" value="" />
      <option name="MODE" value="default_activity" />
      <option name="CLEAR_LOGCAT" value="false" />
      <option name="SHOW_LOGCAT_AUTOMATICALLY" value="false" />
      <option name="INSPECTION_WITHOUT_ACTIVITY_RESTART" value="false" />
      <option name="TARGET_SELECTION_MODE" value="DEVICE_AND_SNAPSHOT_COMBO_BOX" />
      <option name="SELECTED_CLOUD_MATRIX_CONFIGURATION_ID" value="-1" />
      <option name="SELECTED_CLOUD_MATRIX_PROJECT_ID" value="" />
      <option name="DEBUGGER_TYPE" value="Auto" />
      <Auto>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
        <option name="ATTACH_ON_WAIT_FOR_DEBUGGER" value="false" />
        <option name="DEBUG_SANDBOX_SDK" value="false" />
      </Auto>
      <Hybrid>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
        <option name="ATTACH_ON_WAIT_FOR_DEBUGGER" value="false" />
        <option name="DEBUG_SANDBOX_SDK" value="false" />
      </Hybrid>
      <Java>
        <option name="ATTACH_ON_WAIT_FOR_DEBUGGER" value="false" />
        <option name="DEBUG_SANDBOX_SDK" value="false" />
      </Java>
      <Native>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
        <option name="ATTACH_ON_WAIT_FOR_DEBUGGER" value="false" />
        <option name="DEBUG_SANDBOX_SDK" value="false" />
      </Native>
      <Profilers>
        <option name="ADVANCED_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_CONFIGURATION_NAME" value="Java/Kotlin Method Sample (legacy)" />
        <option name="STARTUP_NATIVE_MEMORY_PROFILING_ENABLED" value="false" />
        <option name="NATIVE_MEMORY_SAMPLE_RATE_BYTES" value="2048" />
      </Profilers>
      <option name="DEEP_LINK" value="" />
      <option name="ACTIVITY_CLASS" value="" />
      <option name="SEARCH_ACTIVITY_IN_GLOBAL_SCOPE" value="false" />
      <option name="SKIP_ACTIVITY_VALIDATION" value="false" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="7f83fdb9-1ad1-4ee8-a7ec-19614eae52c4" name="Changes" comment="" />
      <created>1734665842534</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1734665842534</updated>
    </task>
    <servers />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/app/src/main/java/com/tomas/ht_mast/OutboundSchedule_Activity.java</url>
          <line>346</line>
          <option name="timeStamp" value="214" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/app/src/main/java/com/tomas/ht_mast/Adapter/ItemStock_Adapter.java</url>
          <line>25</line>
          <option name="timeStamp" value="284" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/app/src/main/java/com/tomas/ht_mast/Adapter/ItemStock_Adapter.java</url>
          <line>33</line>
          <option name="timeStamp" value="285" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/app/src/main/java/com/tomas/ht_mast/Adapter/ItemNG_Adapter.java</url>
          <line>53</line>
          <option name="timeStamp" value="290" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/app/src/main/java/com/tomas/ht_mast/ChangeLocation_Activity.java</url>
          <line>392</line>
          <option name="timeStamp" value="330" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/app/src/main/java/com/tomas/ht_mast/ChangeLocation_Activity.java</url>
          <line>452</line>
          <option name="timeStamp" value="331" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/app/src/main/java/com/tomas/ht_mast/LabelDetail_Activity.java</url>
          <line>572</line>
          <option name="timeStamp" value="334" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/app/src/main/java/com/tomas/ht_mast/LabelDetail_Activity.java</url>
          <line>574</line>
          <option name="timeStamp" value="335" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/app/src/main/java/com/tomas/ht_mast/LabelDetail_Activity.java</url>
          <line>495</line>
          <option name="timeStamp" value="347" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/app/src/main/java/com/tomas/ht_mast/LabelDetail_Activity.java</url>
          <line>475</line>
          <option name="timeStamp" value="350" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/app/src/main/java/com/tomas/ht_mast/LabelDetail_Activity.java</url>
          <line>691</line>
          <option name="timeStamp" value="354" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/app/src/main/java/com/tomas/ht_mast/LabelDetail_Activity.java</url>
          <line>695</line>
          <option name="timeStamp" value="355" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/app/src/main/java/com/tomas/ht_mast/LabelDetail_Activity.java</url>
          <line>699</line>
          <option name="timeStamp" value="356" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/app/src/main/java/com/tomas/ht_mast/OutboundDetail_Activity.java</url>
          <line>1776</line>
          <option name="timeStamp" value="385" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/app/src/main/java/com/tomas/ht_mast/OutboundDetail_Activity.java</url>
          <line>1774</line>
          <option name="timeStamp" value="386" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/app/src/main/java/com/tomas/ht_mast/OutboundDetail_Activity.java</url>
          <line>1729</line>
          <option name="timeStamp" value="460" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/app/src/main/java/com/tomas/ht_mast/OutboundDetail_Activity.java</url>
          <line>1852</line>
          <option name="timeStamp" value="465" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/app/src/main/java/com/tomas/ht_mast/OutboundDetail_Activity.java</url>
          <line>1680</line>
          <option name="timeStamp" value="494" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/app/src/main/java/com/tomas/ht_mast/OutboundDetail_Activity.java</url>
          <line>628</line>
          <option name="timeStamp" value="519" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/app/src/main/java/com/tomas/ht_mast/OutboundDetail_Activity.java</url>
          <line>629</line>
          <option name="timeStamp" value="520" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
    <watches-manager>
      <configuration name="AndroidRunConfigurationType">
        <watch expression="Settings.getMgmtList().get(&quot;web_api&quot;)" />
        <watch expression="Settings.getLoginUser().getDepartment()" />
        <watch expression="Integer.parseInt(t_qty)&gt;Integer.parseInt(str_plan_qty)" />
        <watch expression="jsonObject.getString(&quot;value&quot;);" />
        <watch expression="jArray.getJSONObject(i).getString(&quot;issue_qty&quot;)" />
        <watch expression="item_label.getString(&quot;plan_qty&quot;))" />
        <watch expression="item_label.getString(&quot;plan_qty&quot;)" />
        <watch expression="item.getDouble(&quot;act_stock_qty&quot;)" />
        <watch expression="item.getDouble(&quot;act_plan_qty&quot;)" />
        <watch expression="label.getString(&quot;lot_no&quot;).trim()" />
        <watch expression="!stock_fifo.containsKey(label.getString(&quot;lot_no&quot;).trim())" />
        <watch expression="stock_fifo" />
        <watch expression="stock_fifo.containsKey" />
        <watch expression="jArray.length()" />
        <watch expression="item.getStatus()" />
        <watch expression="item.getId()" />
        <watch expression="item.getLocation()" />
        <watch expression="list_label.get(i).getPart_no()" />
        <watch expression="txt_move_qty.getText().toString()" />
        <watch expression="list_label.get(i).getLabel_qty().toString()" />
        <watch expression="edt_actual_qty.getText().toString()" />
        <watch expression="String.valueOf(decimalFormat.format(lbl_qty))" />
        <watch expression="list_items.get(irow).getId().toString()" />
        <watch expression="list_items.get(irow).getId().toString().equals(seq_no)" />
        <watch expression="txt_total.getText().toString()" />
        <watch expression="jArray.getJSONObject(i).getString(&quot;payload&quot;)" />
        <watch expression="label.getString(&quot;location_id&quot;)" />
        <watch expression="item.getDouble(&quot;act_qty&quot;)" />
        <watch expression="label.getString(&quot;lbl_part_no&quot;)" />
        <watch expression="item.get(&quot;label_list&quot;)" />
        <watch expression="item.getString(&quot;lot_no&quot;)" />
        <watch expression="item.getDouble(&quot;qty&quot;)" />
        <watch expression="liststatus.get(i).toString()" />
        <watch expression="i-1" />
        <watch expression="liststatus.set(i-1,lot_no+location_id)" />
        <watch expression="listqty[ITEM_SCAN_NOW]" />
        <watch expression="listqty[ITEM_SCAN_NOW]==i" />
        <watch expression="!pub_location.equals(location_id) &amp;&amp; stock_fifo.size() &gt; 1" />
      </configuration>
    </watches-manager>
  </component>
</project>